cascading.util

## Class DOTProcessGraphWriter

- java.lang.Object
- - cascading.util.DOTProcessGraphWriter

-     public class DOTProcessGraphWriter
      extends Object

  This class is a derivative of the JGraphT DOTExporter, with numerous enhancements but with retained compatibility.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTOR`
    `static String` | `INDENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOTProcessGraphWriter(VertexNameProvider<Pair<ElementGraph,FlowElement>> vertexIDProvider, VertexNameProvider<FlowElement> vertexLabelProvider, EdgeNameProvider<Scope> edgeLabelProvider, ComponentAttributeProvider<FlowElement> vertexAttributeProvider, ComponentAttributeProvider<Scope> edgeAttributeProvider, VertexNameProvider<ProcessModel> clusterIDProvider, VertexNameProvider<ProcessModel> clusterLabelProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<FlowElement>` | `getIdentityElements(ProcessGraph<? extends ProcessModel> processGraph)`
    `protected Set<FlowElement>` | `getSpanElements(ProcessGraph<? extends ProcessModel> processGraph)`
    `protected void` | `writeEdgeSet(ProcessGraph<? extends ProcessModel> processGraph, ElementGraph parentGraph, ElementGraph currentGraph, PrintWriter out, Set<FlowElement> spansClusters, boolean renderSpans, Set<FlowElement> identityElements)` if renderSpans == true, write edges if either side crosses a node boundary.
    `void` | `writeGraph(Writer writer, ElementGraph parentGraph, ProcessGraph<? extends ProcessModel> processGraph)`
    `protected void` | `writeVertexSet(ProcessModel processModel, ElementGraph parentGraph, ElementGraph currentGraph, PrintWriter out, Set<FlowElement> spansClusters, boolean onlySpans, Set<FlowElement> duplicatedElements, Set<FlowElement> identityElements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDENT

          public static final String INDENT

      See Also:
        Constant Field Values

    - #### CONNECTOR

          public static final String CONNECTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DOTProcessGraphWriter

          public DOTProcessGraphWriter(VertexNameProvider<Pair<ElementGraph,FlowElement>> vertexIDProvider,
                               VertexNameProvider<FlowElement> vertexLabelProvider,
                               EdgeNameProvider<Scope> edgeLabelProvider,
                               ComponentAttributeProvider<FlowElement> vertexAttributeProvider,
                               ComponentAttributeProvider<Scope> edgeAttributeProvider,
                               VertexNameProvider<ProcessModel> clusterIDProvider,
                               VertexNameProvider<ProcessModel> clusterLabelProvider)

  - ### Method Detail

    - #### writeGraph

          public void writeGraph(Writer writer,
                        ElementGraph parentGraph,
                        ProcessGraph<? extends ProcessModel> processGraph)

    - #### getIdentityElements

          protected Set<FlowElement> getIdentityElements(ProcessGraph<? extends ProcessModel> processGraph)

    - #### getSpanElements

          protected Set<FlowElement> getSpanElements(ProcessGraph<? extends ProcessModel> processGraph)

    - #### writeEdgeSet

          protected void writeEdgeSet(ProcessGraph<? extends ProcessModel> processGraph,
                          ElementGraph parentGraph,
                          ElementGraph currentGraph,
                          PrintWriter out,
                          Set<FlowElement> spansClusters,
                          boolean renderSpans,
                          Set<FlowElement> identityElements)

      if renderSpans == true, write edges if either side crosses a node boundary. if renderSpans == false, only write edged that are contained in a node

    - #### writeVertexSet

          protected void writeVertexSet(ProcessModel processModel,
                            ElementGraph parentGraph,
                            ElementGraph currentGraph,
                            PrintWriter out,
                            Set<FlowElement> spansClusters,
                            boolean onlySpans,
                            Set<FlowElement> duplicatedElements,
                            Set<FlowElement> identityElements)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.